%global pypi_name HABApp
%global pkg_name habapp

Name:           python-%{pkg_name}
Version:        0.16.2
Release:        1%{?dist}
Summary:        Automation with MQTT and/or openHAB

License:        GPLv3
URL:            https://github.com/spacemanspiff2007/HABApp
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
HABApp is a asyncio/multithread application that connects to an openHAB
instance and/or a MQTT broker. It is possible to create rules that listen
to events from these instances and then react accordingly.

%package -n     python3-%{pkg_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(astral)
BuildRequires:  python3dist(pydantic)
BuildRequires:  python3dist(easyco)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(stackprinter)
BuildRequires:  python3dist(aiohttp-sse-client)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
HABApp is a asyncio/multithread application that connects to an openHAB
instance and/or a MQTT broker. It is possible to create rules that listen
to events from these instances and then react accordingly.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# Multiples are failing with 0.16.2
#%%check
# Two test are failing
#%%pytest -v tests -k "not test_run_func and not test_run_func_no_cap"

%files -n python3-%{pkg_name}
%doc readme.md
%license LICENSE
%{_bindir}/habapp
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Dec 01 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.2-1
- Update to latest upstream release 0.16.2

* Tue Oct 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.2-1
- Update to latest upstream release 0.15.2

* Fri Sep 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.1-1
- Initial package for Fedora